import java.util.Scanner;

public class Main {
    public static int[][] pravljenjeMatrice(int[] niz, int brojacI, int brojacJ){
     int red = niz[brojacI];
     int kolona = niz[brojacJ];
     int brojeviUKoloni=kolona-1;
     int[][] matrica = new int[red][kolona];
        for (int i = 0; i<red; i++){
            for (int j = 0; j<kolona; j++){
                if (i+j>=kolona-1) matrica[i][j]=1;



            }
        }

            for (int z = 0; z<red; z++){
                for (int k = 0; k<kolona; k++){
                    System.out.print(matrica[z][k]);
                }
                System.out.println();
            };


      return matrica;
    }
    public static int daLiMoze(int[]niz, int brojacI, int brojacJ){

        if (niz[brojacI]!=niz[brojacJ]){
        return -1;
        }
        else return 0;
    }
    public static void main(String[] args){
        Scanner in = new Scanner(System.in);
        int T = in.nextInt();
        int brojacI = 0;
        int brojacJ=1;
        int[] niz = new int[T*2];
        for(int i = 0; i<niz.length; i++){
            niz[i]=in.nextInt();
        }
        for (int i = 0; i<T; i++){
            if (daLiMoze(niz, brojacI, brojacJ)==0){
                pravljenjeMatrice(niz, brojacI, brojacJ);

            }
            else System.out.println(daLiMoze(niz,brojacI,brojacJ));
            brojacI=brojacI+2;
            brojacJ=brojacJ+2;
        }






    }

}